=head1 NAME

XML::DOM::AttlistDecl - An XML ATTLIST declaration in XML::DOM

=head1 DESCRIPTION

XML::DOM::AttlistDecl extends L<XML::DOM::Node> but is not part of the 
DOM Level 1 specification.

This node represents an ATTLIST declaration, e.g.

 <!ATTLIST person
   sex      (male|female)  #REQUIRED
   hair     CDATA          "bold"
   eyes     (none|one|two) "two"
   species  (human)        #FIXED "human"> 

Each attribute definition is stored a separate AttDef node. The AttDef nodes can
be retrieved with getAttDef and added with addAttDef.
(The AttDef nodes are stored in a NamedNodeMap internally.)

=head2 METHODS

=over 4

=item getName

Returns the Element tagName.

=item getAttDef (attrName)

Returns the AttDef node for the attribute with the specified name.

=item addAttDef (attrName, type, default, [ fixed ])

Adds a AttDef node for the attribute with the specified name.

Parameters:
 I<attrName> the attribute name.
 I<type>     the attribute type (e.g. "CDATA" or "(male|female)".)
 I<default>  the default value enclosed in quotes (!), the string #IMPLIED or 
             the string #REQUIRED.
 I<fixed>    whether the attribute is '#FIXED' (default is 0.)

=back
